Skip to content

User Generated Content

The User Generated Content API provides programmatic access to the enhanced UGC experience (rich media posts, topics, audiences, and submission metadata) available through Creator Studio. Creator Studio remains the system of record for moderation, publishing, reporting, and administration; this API supports creating and managing content through a Partner API consumer's own employee-facing application.

List the authenticated user's submitted User Generated Content

Request

Returns a paginated list of the User Generated Content items submitted by the authenticated user in their program.

Security
oauth2_as_a_user(Required scopes: content.read)
Query
pageinteger, (int64)

The page number to return. Default is 1.

Default:1
page_sizeinteger, (int64), [ 1 .. 100 ]

The number of records to return per page. Default is 20. Maximum is 100.

Default:20
curl -i -X GET \
  'https://partner.socialchorus.com/v2/ugc/contents?page=1&page_size=20' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objectsrequired
metaobject

Pagination metadata for the current request.

Response
{ "data": [ {} ], "meta": {} }